<!DOCTYPE html>
<html lang="en">
<head>
  <title>Standard Drawer</title>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width" />
  <link rel="stylesheet" href="./css/style.css" />
  <!-- THESE IMPORTS ARE NECESSARY FOR PROPER RENDERING DURING DEVELOPMENT -->
  <!-- DO NOT DELETE -->
  <!-- load pearson and global styles -->

  <script type="text/javascript">
    if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
      document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"><\/script>');
      document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"><\/script>');
    } else {
      document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/webcomponents-loader.js"><\/script>');
      document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/custom-elements-es5-adapter.js"><\/script>');
    }
  </script>


  <!-- load the web component script -->
  <script src="js/dist/pearson-drawer.js"></script>

</head>

<body>
<main>
  <div class="target">
    <button type="button" for="pearsonStandardDrawer" part="button">Open standard drawer</button>
  </div>

  <div class="target">
  <button type="button" for="pearsonDetailsDrawer">Open details drawer</button>
  </div>
</main>

<pearson-drawer id="pearsonStandardDrawer" class="animated" position="left">
  <h3 slot="title" class="gr-h3">Help Topics</h3>
  <div slot="content" class="content">
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Adipisci vel necessitatibus amet, enim cumque cum est facilis dolores optio doloremque quibusdam quas a dolorum? Nobis doloremque tempora alias laborum mollitia?</p>
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nesciunt quas dignissimos qui, inventore, quam, harum quo atque similique recusandae non molestias id dolores pariatur. Asperiores cum fugit quis qui eaque. Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni, rerum? <a href="#foo">Voluptatem</a> dolorum ad et quia veniam quas debitis expedita eos eligendi ipsam, cumque neque id temporibus voluptatum alias nihil natus? Lorem ipsum dolor sit amet consectetur adipisicing elit. Soluta cupiditate ex deserunt natus inventore, nihil laborum esse commodi dignissimos autem animi alias laudantium iure beatae eum adipisci, eos harum! Deleniti?</p>
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Iusto, explicabo repudiandae fugiat dolore officia corporis, quia pariatur corrupti odit aliquam debitis iure! Quam exercitationem error dolorem autem quasi consequuntur aperiam.</p>
    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Numquam optio tenetur dolor sed eos voluptate quibusdam natus, sit corrupti! Cumque, atque nulla tempora unde quibusdam voluptatibus eveniet dolores. Earum, libero.</p>
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Magnam corporis, incidunt illo sunt dolor odio architecto quo ad aperiam temporibus amet nostrum officia corrupti vitae quis, ducimus magni omnis minus!</p>
  </div>
</pearson-drawer>


<pearson-drawer id="pearsonDetailsDrawer" class="animated" position="right">
  <h3 class="gr-h3" slot="title">Help Topics</h3>
  <div slot="content">
    <div data-panel="1">
      <h3 class="gr-h3">
        Having trouble signing in or account locked?
      </h3>
      <p>
        You have a Pearson username and password if you've ever used a Pearson product
      </p>
      <h3 class="gr-h3">I enable cookies?</h3>
      <p>Cookies are files from websites that store your browsing
        information, including</p>
      <h3 class="gr-h3">What if I get a date or clock error?</h3>
      <p>If the date or clock for your computer or other device is set
        incorrectly for your time zone, an error appears and you can't
        continue.</p>
      <h3 class="gr-h3">Having trouble or need support?</h3>
    </div>
    <div data-panel="2">
      <h3 class="gr-h3">Having trouble signing in or account locked?</h3>
      <p>
        You have a Pearson username and password if you've ever used a
        Pearson product (for example, Revel, MyLab Math, or Mastering
        Biology).
      </p>
      <p>
        <strong>Note:</strong> If you have an account but are asked to
        register, select <strong>register</strong> and follow the
        instructions.
      </p>
      <p>Check out these tips for resolving common sign in issues:</p>
      <p>
        <strong>Username:</strong> This may be your email apress and
        differ from your school or institution username.
      </p>
      <p>
        <strong>Password:</strong> This is case-sensitive and has at least
        1 uppercase letter, 1 number, and at least 8 characters. Select
        <strong>SHOW</strong> to see your password as you enter it.
      </p>
      <p>
        <strong>Get username and reset password:</strong> Select
        <strong>Forgot username or password</strong>. You'll receive an
        email with your username and a link to reset your password for
        each Pearson account associated with your email apress. Reset the
        password only for the account you want to use.
      </p>
      <p>
        <strong>Incorrect username or password or account locked:</strong>
        Try again or select
        <strong>Forgot username or password</strong> to reset your
        password.
      </p>
      <p>
        <strong>Browser cookies and cached files:</strong>&nbsp;<a href="https://support.pearson.com/getsupport/s/article/Browser-Settings"
                                                                   target="_blank">Enable cookies and, if necessary, delete cached browser
        files.</a>
      </p>
      <p>
        If you still can't sign in, contact
        <a href="https://support.pearson.com/getsupport/s/" target="_blank">Pearson Support</a>.
      </p>
    </div>
    <div data-panel="3">
      <h3 class="gr-h3">
        How do I enable cookies?
      </h3>
      <p>
        Cookies are files from websites that store your browsing
        information, including preferences and profile. To sign in or link
        accounts, you need to
        <a
                href="https://support.pearson.com/getsupport/s/article/Browser-Settings"
                target="_blank"
        >enable third-party cookies</a
        >.
      </p>
      <dl>
        <h3 class="gr-h3">
          <strong>Chrome and Firefox:</strong> Enable all cookies or ap an
          exception for <strong>pi.pearsoned.com</strong>.
        </h3>
        <h3 class="gr-h3">
          <strong>Internet Explorer:</strong> Enable all cookies or ap
          exceptions for <strong>pi.pearsoned.com</strong> and
          <strong>pearson.com</strong>.
        </h3>
        <h3 class="gr-h3">
          <strong>Safari and Edge:</strong> Enable all cookies.
        </h3>
      </dl>
      <p>
        If you still have trouble, try
        <a
                href="https://support.pearson.com/getsupport/s/article/Browser-Settings"
                target="_blank"
        >deleting browser cached files</a
        >.
      </p>
      <p>
        Check Help for your browser if it isn’t covered in these
        instructions.
      </p>
    </div>
    <div data-panel="4">
      <h3 class="gr-h3">
        What if I get a date or clock error?
      </h3>
      <p>
        If the date or clock for your computer or other device is set
        incorrectly for your time zone, an error appears and you can't
        continue.
      </p>
      <p>
        For example, the defadlt time zone for computers with the Windows
        operating system is Pacific Time. If you manually change the clock
        or switch the time zone without immediately making sure the
        clock—automatically or manually—matches the time zone, the error
        appears.
      </p>
      <p>
        <strong>Resolution:</strong>&nbsp;Switch to the correct time zone,
        if applicable. Make sure the date and time are correct for your
        time zone. If your clock is set manually—not from a network or
        Internet server, make sure it comes close to the time according to
        the World Clock. (You can search for the World Clock on the
        Internet.)
      </p>
    </div>
    <div data-panel="5">
      <h3 class="gr-h3">
        Having trouble or need support?
      </h3>
      <p>
        Check out
        <a href="https://support.pearson.com/getsupport/s/" target="_new"
        >Pearson Support</a
        >
        for popdlar topics or contact information.
      </p>
    </div>
  </div>
</pearson-drawer>
<script>
  const openStandardBtn = document.querySelector('[for="pearsonStandardDrawer"]');
  const openDetailsBtn = document.querySelector('[for="pearsonDetailsDrawer"]');
  const standardDrawer = document.querySelector('#pearsonStandardDrawer');
  const detailsDrawer = document.querySelector('#pearsonDetailsDrawer');

  openStandardBtn.addEventListener('click', function (e) {
    standardDrawer.open = true;
  });

  openDetailsBtn.addEventListener('click', function (e) {
    detailsDrawer.open = true;
  });
</script>
</body>
</html>
